Cancel a payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cancel stops a payment before Check transmits it to the bank network. You can cancel these payments:

  • Net pay credits to employees (parent_type of payroll_item) and contractors (parent_type of contractor_payment).
  • The collection or refund for a balancing payroll (parent_type of payroll, where parent_id is a payroll whose type is balancing). This covers both a debit that collects a tax variance from the employer and a credit that refunds a tax variance to the employer. See Balancing Payrolls & Fulfillment Receipts.

You can't cancel other payments through the API. This includes the debit that funds a regular payroll (reopen the payroll instead) and collections and refunds that aren't tied to a balancing payroll (for example unremittable tax refunds and company termination refunds). Cancel returns a 400 error with type payment_ineligible_for_cancel for these payments.

A cancelable payment can have a draft or processing status (a payment reads processing from the moment it is created with the processor, which is before it is transmitted), so use the can_cancel boolean rather than the status to determine whether a payment can be canceled.

Cancel must be used before the payment is transmitted. This is denoted by the cancel_deadline field. For net pay credits, it is generally around 1 pm ET the day before payday.

Canceled payments have a status of failed.

[08/15 Sandbox Only] Canceled payments have a status ofcanceled.

Path Params
string
required
Defaults to ID of payment desired for cancellation
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json